Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: tcsd

Interfaces

### Description:

TSS Core Services daemon.

### Interfaces:

tcsd_admin( domain , role )

##### Summary

All of the rules required to administrate an tcsd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

tcsd_domtrans( domain )

##### Summary

Execute a domain transition to run tcsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tcsd_initrc_domtrans( domain )

##### Summary

Execute tcsd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tcsd_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete tcsd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tcsd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete tcsd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tcsd_read_lib_files( domain )

##### Summary

Read tcsd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tcsd_search_lib( domain )

##### Summary

Search tcsd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return